# GamePhase

class GamePhase(length: Long, start: () -> Unit?, end: () -> Unit?, counterMessage: (secondsLeft: Long) -> String?)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
startIt
Link copied to clipboard
fun startIt(phaseQueue: MutableList<GamePhase>)
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

counterMessage
Link copied to clipboard
val counterMessage: (secondsLeft: Long) -> String?
Content copied to clipboard
end
Link copied to clipboard
val end: () -> Unit?
Content copied to clipboard
length
Link copied to clipboard
val length: Long
Content copied to clipboard
start
Link copied to clipboard
val start: () -> Unit?
Content copied to clipboard